Name:           perl-File-ChangeNotify
Summary:        Watch for changes to files, cross-platform style
Version:        0.16
Release:        3%{?dist}
License:        Artistic 2.0
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/File-ChangeNotify-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/File-ChangeNotify
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::MOP)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Module::Build) >= 0.3601
BuildRequires:  perl(Module::Pluggable::Object)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Params::Validate) >= 0.08
BuildRequires:  perl(MooseX::SemiAffordanceAccessor)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Without::Module)
BuildRequires:  perl(Time::HiRes)

Requires:       perl(Carp)
Requires:       perl(Class::MOP)
Requires:       perl(File::Find)
Requires:       perl(File::Spec)
Requires:       perl(Module::Pluggable::Object)
Requires:       perl(Moose)
Requires:       perl(MooseX::Params::Validate) >= 0.08
Requires:       perl(MooseX::SemiAffordanceAccessor)
Requires:       perl(namespace::autoclean)
Requires:       perl(Time::HiRes)

%{?filter_setup:
%filter_from_requires /^perl(IO::KQueue)/d
%?perl_default_filter
}
%{?perl_default_subpackage_tests}

%description
Watch for changes to files, easily, cleanly, and across different platforms.


%prep
%setup -q -n File-ChangeNotify-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.16-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Aug 26 2010 Iain Arnell <iarnell@gmail.com> 0.16-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (0.16)
- new license Artistic 2.0
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.31)
- altered br on perl(Module::Build) (0 => 0.3601)
- altered br on perl(Test::More) (0 => 0.88)
- added a new br on perl(namespace::autoclean) (version 0)
- added a new req on perl(namespace::autoclean) (version 0)
- BR perl(Test::Exception), perl(Test::Without::Module) to enable tests

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-1
- update

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.12-4
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.12-3
- Mass rebuild with perl-5.12.0

* Mon Mar 15 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.12-2
- update by Fedora::App::MaintainerTools 0.006

* Sat Mar 13 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.12-1
- update by Fedora::App::MaintainerTools 0.006
- PERL_INSTALL_ROOT => DESTDIR
- updating to latest GA CPAN version (0.12)
- added a new br on perl(Module::Build)
- dropped old BR on perl(Module::Build::Compat)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.07-2
- rebuild against perl 5.10.1

* Tue Aug 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.07-1
- auto-update to 0.07 (by cpan-spec-update 0.01)
- added a new req on perl(Carp) (version 0)
- added a new req on perl(Class::MOP) (version 0)
- added a new req on perl(File::Find) (version 0)
- added a new req on perl(File::Spec) (version 0)
- added a new req on perl(Module::Pluggable::Object) (version 0)
- added a new req on perl(Moose) (version 0)
- added a new req on perl(MooseX::Params::Validate) (version 0.08)
- added a new req on perl(MooseX::SemiAffordanceAccessor) (version 0)
- added a new req on perl(Time::HiRes) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- submission

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
